# $Id: perl-DateTime-Format-ISO8601.spec 5672 2007-08-02 18:40:24Z dries $
# Authority: dries
# Upstream: Joshua Hoblitt <jhoblitt$cpan,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name DateTime-Format-ISO8601

Summary: Parses ISO8601 formats
Name: perl-DateTime-Format-ISO8601
Version: 0.06
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/DateTime-Format-ISO8601/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/DateTime/DateTime-Format-ISO8601-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(Module::Build)

%description
Parses ISO8601 formats.

This package contains the following Perl module:

    DateTime::Format::ISO8601

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes LICENSE MANIFEST META.yml README Todo
%doc %{_mandir}/man3/DateTime::Format::ISO8601.3pm*
%dir %{perl_vendorlib}/DateTime/
%dir %{perl_vendorlib}/DateTime/Format/
%{perl_vendorlib}/DateTime/Format/ISO8601.pm
%{perl_vendorlib}/DateTime/Format/ISO8601.pod

%changelog
* Mon Nov 05 2007 Dag Wieers <dag@wieers.com> - 0.06-1 - 5672+/dries
- Updated to release 0.06.

* Sun Dec 25 2005 Dries Verachtert <dries@ulyssis.org> - 0.0403-1
- Initial package.
